<?php
/**
 * Add required and recommended plugins.
 *
 * @package AutoDealer
 */

add_action( 'tgmpa_register', 'auto_dealer_register_required_plugins' );

/**
 * Register required plugins
 *
 * @since  1.0
 */
function auto_dealer_register_required_plugins() {
	$plugins = auto_dealer_required_plugins();

	$config = array(
		'id'          => 'auto-dealer',
		'has_notices' => false,
	);

	tgmpa( $plugins, $config );
}

/**
 * List of required plugins
 */
function auto_dealer_required_plugins() {
	return array(
		array(
			'name'     => esc_html__( 'Jetpack', 'auto-dealer' ),
			'slug'     => 'jetpack',
		),
		array(
			'name'     => esc_html__( 'Auto Listings', 'auto-dealer' ),
			'slug'     => 'auto-listings',
			'required' => true,
		),
		array(
			'name' => esc_html__( 'One click demo import', 'auto-dealer' ),
			'slug' => 'one-click-demo-import',
		),
		array(
			'name' => esc_html__( 'Ultimate Fonts', 'auto-dealer' ),
			'slug' => 'ultimate-fonts',
		),
		array(
			'name' => esc_html__( 'Ultimate Colors', 'auto-dealer' ),
			'slug' => 'ultimate-colors',
		),
		array(
			'name' => esc_html__( 'Instagram Slider Widget', 'auto-dealer' ),
			'slug' => 'instagram-slider-widget',
		),
	);
}
